# chatbot for YDL.com

**chatbot** 是一套解决方案,旨在于分析并处理常见的技术故障，通过chatOps的方式，及时的作出响应。
我们注意到，有一些常见的问题频繁的出现，这些问题的解决方案已经存在，但仍旧需要人工进行干预。这在很多情况下浪费了技术资源。 第二个注意到的是，当一个故障被解决后，很难沉淀成一个解决方案。
为此，我们需要一款机器人来自动化上述的过程。
我们在第一个阶段内实现一个简单的输入反馈模型，简单的来说，就是将输入通过正则匹配到一个相似的输出。我们将这个输出作为一个推荐的解决方案。

##### 第一阶段的示意图如下

![chatbot](images/chatbot.png)

## 计划

* [] wechat-bot 微信的信息操作，采用开源实现。
* [] 数据库（故障信息&解决方案&历史记录）。
* [] bug-bot  解析bug，映射到一个解决方案。bug-bot拥有一个标准的输入和输出，挂载在chatbot上。
* [] 故障整理&自动抄送相关负责人。
